:root {
    --header-height: 70px;
    --sidebar-width: 300px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    padding-top: var(--header-height);
    padding-bottom: 10rem;
}

#layout-header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: var(--header-height);
    z-index: 10;
}

#layout-shell {
    display: flex;
}

#layout-sidebar {
    width: var(--sidebar-width);
    flex-shrink: 0;
}

#layout-content {
    display: flex;
    flex: 1 1 auto;
    min-width: 0;
}

#layout-primary,
#layout-secondary {
    flex: 1 1 50%;
    min-width: 0;
}

#mobile-view-toggle {
    display: none;
    z-index: 20;
}

@media (max-width: 767.98px) {
    #layout-shell {
        flex-direction: column;
    }

    #layout-sidebar {
        width: 100%;
    }

    #layout-content {
        flex-direction: column;
    }

    #layout-primary,
    #layout-secondary {
        flex: 1 1 auto;
        width: 100%;
    }

    #layout-sidebar,
    #layout-primary,
    #layout-secondary {
        display: none;
    }

    body.mobile-view-sidebar #layout-sidebar {
        display: block;
    }

    body.mobile-view-primary #layout-primary {
        display: block;
    }

    body.mobile-view-secondary #layout-secondary {
        display: block;
    }

    #mobile-view-toggle {
        display: flex;
    }

    #layout-header {
        display: flex;
        justify-content: center;
        align-items: center;
    }
}
